--[[
    Author: Alternator (Massiner of Nathrezim)
    Copyright 2010
	
	Notes:

--]]

local Const = BFConst;

Const.Version				= 0.9;
Const.VersionMinor			= 14;
Const.MAX_ACCOUNT_MACROS 	= 36;
Const.ButtonNaming 			= "ButtonForge"
Const.ButtonSeq 			= 1;					--This value will increment (so not technically a const...)
Const.DefaultCols 			= 4;
Const.DefaultRows 			= 1;
Const.BarInset				= 21;		--I
Const.BarEdge				= 3.5;
Const.ButtonGap 			= 6;		--BG		--Don't mess with the ButtonSize/Gap
Const.ButtonSize 			= 36;		--BS
Const.MinScale 				= 0.2;
Const.MiniIconSize 			= 16;
Const.MiniIconGap 			= 2;
Const.DoubleClickSpeed 		= 0.3;
Const.MaxButtonsPerBar		= 1500;
Const.MaxButtonsTotal		= 5000;
Const.CreateBarOverlayColor 	= {0.02, 0.03, 0.8, 0.4};
Const.DestroyBarOverlayColor 	= {1, 0.03, 0.8, 0.4};
Const.KeyBindOverlayColor 		= {0.3, 0.7, 0.1, 0.4};
Const.BarBackdrop 				= {0.1, 0.1, 0.4, 0.85};
Const.BonusBarBackdrop 			= {0.1, 0.5, 0.1, 0.85};
Const.IconDragOverlayColor		= {0.0, 0.1, 0.3, 0.0};
Const.ImagesDir 			= "Interface\\Addons\\ButtonForge\\Images\\";
Const.SlashNumLines			= 4;		--Num of lines to show before breaking the message up


Const.DisableAutoAlignAgainstDefaultBars	= false;	--Set to true and reload UI in order to not check the Blizzard bars when performing auto-alignment, this probably isn't needed but just in case


Const.VLineThickness		= 1;
Const.HLineThickness		= 1;
--Or if you want pixel perfect alignment lines and feel adventurous put your screen resolution in below (Note: WoW is not designed to give pixel level control, so it may not work perfectly)
--E.g. 1920x1200 would be:
--Const.VLineThickness		= (768.0 / 1920) * GetMonitorAspectRatio();
--Const.HLineThickness		= (768.0 / 1200);


Const.ThresholdVSnapSq		= 6 * 6;
Const.ThresholdVPressureSq	= 12 * 12;
Const.ThresholdHSnapSq		= 10 * 10;
Const.ThresholdHPressureSq	= 20 * 20;


Const.WispSpellIds = {};
Const.WispSpellIds[19746]	= 1;		--Concentration Aura
Const.WispSpellIds[32223]	= 1;		--Crusader Aura
Const.WispSpellIds[465]		= 1;		--Devotion Aura
Const.WispSpellIds[19891]	= 1;		--Resistance Aura
Const.WispSpellIds[7294]	= 1;		--Retribution Aura
Const.WispSpellIds[5118]	= 1;		--Aspect of the Cheetah
Const.WispSpellIds[82661]	= 1;		--Aspect of the Fox
Const.WispSpellIds[13165]	= 1;		--Aspect of the Hawk
Const.WispSpellIds[13159]	= 1;		--Aspect of the Pack
Const.WispSpellIds[20043]	= 1;		--Aspect of the Wild
Const.WispSpellIds[45438]	= 1;		--Ice Block
Const.WispSpellIds[1066]	= 1;		--Aquatic Form
Const.WispSpellIds[5487]	= 1;		--Bear Form
Const.WispSpellIds[768]		= 1;		--Cat Form
Const.WispSpellIds[33943]	= 1;		--Flight Form
Const.WispSpellIds[40120]	= 1;		--Swift Flight Form
Const.WispSpellIds[783]		= 1			--Travel Form	



--[[ These next Consts are calculated from the previous consts ]]
Const.I = Const.BarInset;
Const.I2 = Const.I * 2;
Const.BG = Const.ButtonGap;
Const.BS = Const.ButtonSize;
Const.BSize = Const.BS + Const.BG;
Const.GFrac = Const.BG / Const.BSize;


Const.LightBlue = "ff0099DD";
Const.DarkBlue = "ff2233DD";
Const.DarkOrange = "ffEE5500";

Const.SlashCommands = {};
Const.SlashCommands["-bar"] = "^%s*(..-)%s*$";
Const.SlashCommands["-macrotext"] = "bool";
Const.SlashCommands["-keybindtext"] = "bool";
Const.SlashCommands["-tooltips"] = "bool";
Const.SlashCommands["-emptybuttons"] = "bool";
Const.SlashCommands["-lockbuttons"] = "bool";
Const.SlashCommands["-scale"] = "^%s*(%d*%.?%d+)%s*$";
Const.SlashCommands["-rows"] = "^%s*(%d+)%s*$";
Const.SlashCommands["-cols"] = "^%s*(%d+)%s*$";
Const.SlashCommands["-coords"] = "^%s*(%d*%.?%d+)%s*,?%s*(%d*%.?%d+)%s*$";
Const.SlashCommands["-gap"] = "^%s*(%d*%.?%d+)%s*$";
Const.SlashCommands["-enabled"] = "bool";
Const.SlashCommands["-info"] = "^()$";				--causes 1 when empty string
Const.SlashCommands["-rename"] = "^%s*(..-)%s*$";
Const.SlashCommands["-hidespec1"] = "bool";
Const.SlashCommands["-hidespec2"] = "bool";
Const.SlashCommands["-hidevehicle"] = "bool";
Const.SlashCommands["-hidebonusbar5"] = "bool";
Const.SlashCommands["-vismacro"] = "^%s*(.-)%s*$";

Const.SlashCommands["-createbar"] = "^%s*(..-)%s*$";
Const.SlashCommands["-destroybar"] = "^%s*(..-)%s*$";



